wibble::list::Sorted< List >::SharedVec Struct Reference

`#include <list.h>`

## Public Member Functions

| SharedVec ()
void | _ref ()
void | _deref ()

## Public Attributes

int | refs
Vec | vec

## Constructor & Destructor Documentation

## SharedVec()

template<typename List >

wibble::list::Sorted< List >::SharedVec::SharedVec | ( |  | ) |

inline

## Member Function Documentation

## _deref()

template<typename List >

void wibble::list::Sorted< List >::SharedVec::_deref | ( |  | ) |

inline

Referenced by wibble::list::Sorted< List >::SharedPtr::~SharedPtr().

## _ref()

template<typename List >

void wibble::list::Sorted< List >::SharedVec::_ref | ( |  | ) |

inline

Referenced by wibble::list::Sorted< List >::SharedPtr::operator=(), and wibble::list::Sorted< List >::SharedPtr::SharedPtr().

## Member Data Documentation

## refs

template<typename List >

int wibble::list::Sorted< List >::SharedVec::refs

Referenced by wibble::list::Sorted< List >::SharedPtr::~SharedPtr().

## vec

template<typename List >

Vec wibble::list::Sorted< List >::SharedVec::vec

Referenced by wibble::list::Sorted< List >::SharedPtr::operator*(), and wibble::list::Sorted< List >::SharedPtr::operator->().

The documentation for this struct was generated from the following file:

- list.h